## ps2eps 1.68+binaryfree

=== Makefile ===
# $Id: Makefile 139 2012-06-14 08:40:32Z bless $
# $HeadURL: svn+ssh://vorta.ipv6.tm.uka.de/home/bless/src/ps2eps/svn-repository/trunk/ps2eps/Makefile $
PKGDIR=/usr/src/packages
RPMSRCDIR=$(PKGDIR)/SOURCES
RPMDIR=$(PKGDIR)/RPMS/i586
SRPMDIR=$(PKGDIR)/SRPMS
RPMBUILD=rpmbuild

DISTRIBDIR=ps2eps
DISTRIBTAR=ps2eps.tar.gz
DISTRIBSRCTAR=ps2eps-src.tar.gz
DISTRIBZIP=ps2eps.zip

doc:
	cd doc; make

distrib: doc
	ver=`grep '^# \$$Id' src/perl/ps2eps | awk '{print $$4}'`; \
	make -C doc; \
	rm -rf $(DISTRIBDIR); \
	mkdir -p $(DISTRIBDIR)/src/C; \
	tar --exclude .svn -cf - bin | tar -C $(DISTRIBDIR) -xvf -; \
	cd $(DISTRIBDIR); \
	touch Latest_is_$$ver; \
	mkdir -p doc/man/man1; mkdir -p doc/pdf; mkdir -p doc/html; \
	cd ..; \
	cp doc/*.html $(DISTRIBDIR)/doc/html ; \
	cp doc/*.pdf $(DISTRIBDIR)/doc/pdf ; \
	cp doc/*.1 $(DISTRIBDIR)/doc/man/man1 ; \
	cp doc/*.txt $(DISTRIBDIR) ; \
	cp src/perl/ps2eps $(DISTRIBDIR)/bin ; \
	cp src/C/bbox.c $(DISTRIBDIR)/src/C ; \
	cp src/C/Makefile $(DISTRIBDIR)/src/C ; \
	rm $(DISTRIBTAR) $(DISTRIBZIP) ; \
	tar --exclude "*~" -chzvf $(DISTRIBTAR) $(DISTRIBDIR); \
	zip -r -9 $(DISTRIBZIP) $(DISTRIBDIR)/ -x \*~; \
	cd doc; make clean; cd ..; rm -rf $(DISTRIBDIR)/doc; \
	mkdir -p $(DISTRIBDIR)/doc/src; cp doc/*.sgml $(DISTRIBDIR)/doc/src; cp doc/Makefile $(DISTRIBDIR)/doc/src; \
	mkdir $(DISTRIBDIR)/src/perl; cp src/perl/ps2eps $(DISTRIBDIR)/src/perl; cp Makefile $(DISTRIBDIR)

	tar --exclude "*~" --exclude $(DISTRIBDIR)/bin -chzvf $(DISTRIBSRCTAR) $(DISTRIBDIR); \
gpg -b $(DISTRIBTAR); \
gpg -b $(DISTRIBZIP); \
gpg -b $(DISTRIBSRCTAR)


rpm: rpmsrctar
	ver=`grep '^# \$$Id' src/perl/ps2eps | awk '{print $$4}'`; \
	sudo $(RPMBUILD) -bb spec/ps2eps.spec
	$(RPMBUILD) -bs --sign spec/ps2eps.spec
	rpm -q -i -p $(RPMDIR)/ps2eps-$$ver*.rpm
	rpm --addsign $(RPMDIR)/ps2eps-$$ver*.rpm
	cp $(RPMDIR)/ps2eps-$$ver*.rpm $(SRPMDIR)/ps2eps-$$ver*.src.rpm .

rpmsrctar: 
	ver=`grep '^# \$$Id' src/perl/ps2eps | awk '{print $$4}'`; \
	tar --exclude CVS -C .. -czvf ps2eps_$$ver.tar.gz ps2eps/doc ps2eps/src; \
	sudo cp ps2eps_$$ver.tar.gz $(RPMSRCDIR)

# end of Makefile

=== src/C/Makefile ===
# ==================================================
# Makefile for bbox C program
# ==================================================
# $Id: Makefile 139 2012-06-14 08:40:32Z bless $
# $HeadURL: svn+ssh://vorta.ipv6.tm.uka.de/home/bless/src/ps2eps/svn-repository/trunk/ps2eps/src/C/Makefile $
CFLAGS=-Wall --pedantic -Wunused 

bbox: bbox.c
	$(CC) $(CFLAGS) bbox.c -o bbox

## ps2eps 1.68

=== debian/changelog ===
ps2eps (1.68-1build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 16:51:50 +0100

ps2eps (1.68-1) unstable; urgency=low

  * New upstream release.
  * Adopting (Closes: #534380).
  * Switch to 3.0 (quilt) source format.
  * Switch to debhelper 8.0.0~.
  * Bump Standards-Version to 3.9.2.
  * Update VCS and Homepage fields.
  * Tag the patches following DEP-3.
  * Use the DEP-5 format for debian/copyright.

 -- Matteo Cypriani <mcy@lm7.fr>  Tue, 28 Jun 2011 14:05:25 +0200

ps2eps (1.64-6) unstable; urgency=low

  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes needed)
    + The package is now maintained with Git at alioth.debian.org.  Add
      Vcs-Git field and change Vcs-Browser accordingly.
    + Fix Lintian warning debhelper-but-no-misc-depends
  * debian/patches/{minus-sign-manpages.diff,perl-path-in-ps2eps.diff}:
    Add description

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 19 Apr 2009 22:34:48 +0200

ps2eps (1.64-5) unstable; urgency=low

  * debian/control:
    + Append trunk/ to the path in Vcs-Svn:, such that debcheckout works
    + Replace obsolete build-dependency on gs-esp by ghostscript
    + Bump Standards-Version to 3.8.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 01 Jul 2008 19:15:45 +0200

ps2eps (1.64-4) unstable; urgency=low

  * debian/control: Build-depend on quilt
  * debian/rules:
    + Switch from CDBS' simple-patchsys to quilt
    + Create rule for build-stamp
  * debian/patches/minus-sign-manpages.diff: Escape "-" signs that mean
    the "minus" character
  * debian/copyright: Add proper licensing conditions, both for upstream
    and the Debian packaging

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 14 Mar 2008 16:25:04 +0100

ps2eps (1.64-3) unstable; urgency=low

  * debian/control:
    + Added Vcs-Svn, Vcs-Browser, and Homepage fields
    + Dropped the Homepage pseudo-header from the extended description
    + Bumped Standards-Version to 3.7.3

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 15 Dec 2007 17:56:08 +0100

ps2eps (1.64-2) unstable; urgency=low

  * Depends alternatively on gs-esp, because gs is a virtual package

 -- Rafael Laboissiere <rafael@debian.org>  Wed,  7 Mar 2007 23:42:42 +0100

ps2eps (1.64-1) unstable; urgency=low

  * New upstream release
  * There has been a long standing bug report concerning the inappropriate
    filtering of lines in embedded images that look like PS comments
    (i.e. match /^%%/).  This bug report was filed against version 1.47-1
    of the package.  I cannot reproduce this bug with the current version.
    I am therefore closing this bug report (closes: #234999).

 -- Rafael Laboissiere <rafael@debian.org>  Mon,  5 Feb 2007 10:50:43 +0100

ps2eps (1.61-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Switched to CDBS
  * debian/control:
    - Build-depends on cdbs
    - Fixed some typos/wording problems

 -- Rafael Laboissiere <rafael@debian.org>  Thu,  4 Jan 2007 20:01:53 +0100

ps2eps (1.58-2) unstable; urgency=low

  * debian/watch: Added file
  * debian/control: Bumped Standards-Version to 3.7.2 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 27 Jun 2006 08:22:07 +0200

ps2eps (1.58-1) unstable; urgency=low

  * New upstream release
  * debian/control: Lower-cased first word of short descrition, as per
    Developers Reference Manual, section 6.2.2.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 24 Jan 2005 17:02:48 +0100

ps2eps (1.54-1) unstable; urgency=low

  * New upstream release (closes: #254988).
  * debian/rules:
    - Removed build of man page from sgml source, since it has been
      integrated upstream.
    - Install upstream files README and changelog, really.
  * debian/patches/output-info-to-stdout.dpatch: Removed this patch, since
    it has been applied usptream.
  * debian/control:
    - Removed build-dependency on docbook-to-man.
    - Updated upstream homepage.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 19 Jun 2004 21:08:54 +0200

ps2eps (1.47-1) unstable; urgency=low

  * First uploaded release to Debian unstable (closes: #214654).

 -- Rafael Laboissiere <rafael@debian.org>  Thu,  9 Oct 2003 18:13:09 +0200

ps2eps (1.47-0.pre.2) unstable; urgency=low

  * debian/control, debian,copyright: Fixed Homepage.
  * debian/ps2eps.sgml: Added description of option "--".

 -- Rafael Laboissiere <rafael@debian.org>  Wed,  8 Oct 2003 13:55:19 +0200

ps2eps (1.47-0.pre.1) unstable; urgency=low

  * Initial Release.

 -- Rafael Laboissiere <rafael@debian.org>  Tue,  7 Oct 2003 02:27:13 +0200

=== debian/control ===
Source: ps2eps
Section: text
Priority: optional
Maintainer: Matteo Cypriani <mcy@lm7.fr>
Build-Depends: debhelper (>= 8.0.0~)
Standards-Version: 3.9.2
Homepage: http://tm.uka.de/~bless/ps2eps
Vcs-Git: git://anonscm.debian.org/collab-maint/ps2eps.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ps2eps.git

Package: ps2eps
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, ghostscript
Description: convert PostScript to EPS (Encapsulated PostScript) files
 ps2eps is a tool to produce Encapsulated PostScript Files (EPS/EPSF)
 from usual one-paged Postscript documents. It calculates correct
 Bounding Boxes for those EPS files and filters some special
 postscript command sequences that can produce erroneous results on
 printers.  EPS files are needed for including (scalable) graphics
 into TeX (or even Word) documents.  Other programs like ps2epsi do
 not calculate the bounding box always correctly (because the values are
 put on the PostScript stack which may get corrupted by bad PostScript
 code) or rounded it off so that clipping the EPS cut off some parts of
 the image. Therefore ps2eps uses a resolution of 144 dpi to get the
 correct bounding box.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

%:
	dh $@

override_dh_auto_build:
	( cd src/C ; $(MAKE) bbox )
	dh_auto_build

override_dh_installdocs:
	cp README.txt README
	dh_installdocs

## ps2eps 1.68%2Bbinaryfree

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

SGML2MAN = xsltproc /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl

%:
	dh $@

override_dh_auto_build:
	# The -f /dev/null is to ignore the existing Makefile in src/C, so that the
	# build flags are passed correctly
	$(MAKE) -C src/C -f /dev/null bbox CC=$(CC)
	( cd doc/src ; $(SGML2MAN) bbox.sgml && $(SGML2MAN) ps2eps.sgml )
	dh_auto_build

## ps2eps 1.68+binaryfree

=== debian/changelog ===
ps2eps (1.68+binaryfree-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: use https protocol in Format field.
  * d/control: set Vcs-* to salsa.debian.org.

  [ Matteo Cypriani ]
  * Fix d/watch, update to format version 4.
  * Switch to dh compat 13, quit using d/compat.
  * Bump Standards-Version to 4.5.1 (no changes needed).
  * d/control: added Rules-Requires-Root field.

 -- Matteo Cypriani <mcy@lm7.fr>  Sat, 09 Jan 2021 22:33:33 +0100

ps2eps (1.68+binaryfree-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use triplet-prefixed CC. (Closes: #839012)

  [ Matteo Cypriani ]
  * Bump Standards-Version to 3.9.8 (no changes needed).
  * Use secure VCS URIs.
  * Use DEB_BUILD_MAINT_OPTIONS to set hardening flags.

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 28 Sep 2016 13:01:50 -0400

ps2eps (1.68+binaryfree-1) unstable; urgency=medium

  * New upstream binary-free tarball for version 1.68 (1.68+binaryfree),
    retrieved from http://tm.kit.edu/~bless/ps2eps-1.68-src.tar.gz.
    + Now Build-Depends on xsltproc and docbook-xsl.
    + debian/rules: build manpages.
    + debian/clean: clean man pages.
    + ps2eps.install and ps2eps.manpages: new paths.
  * debian/patches:
    + Removed minus-sign-manpages.diff (obsolete since the documentation is
      now generated from the DocBook source).
    + perl-path-in-ps2eps.diff: renamed to ps2eps-perl_path.patch, updated
      with new path, added Forwarded tag.
    + Added doc-manpages_xsltproc.patch to allow the man pages to be built
      with xsltproc.
  * Standards-Version bumped to 3.9.5.
  * Switch to debhelper 9.
  * debian/copyright:
    + The license of debian/* was changed to Expat, with the authorisation of
      the former maintainer, Rafael Laboissiere).
    + Updated Format to 1.0.
    + Removed unused paragraph "Licence: GPL-3+".
    + Updated packaging years.
    + New upstream URL.
    + Fixed paragraph doc/*.
  * Fixed typo in package description.
  * Do not rename README.txt any more.

 -- Matteo Cypriani <mcy@lm7.fr>  Sat, 10 May 2014 23:28:28 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Matteo Cypriani <mcy@lm7.fr>
-Build-Depends: debhelper (>= 8.0.0~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper-compat (= 13), xsltproc, docbook-xsl
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: http://tm.uka.de/~bless/ps2eps
-Vcs-Git: git://anonscm.debian.org/collab-maint/ps2eps.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ps2eps.git
+Vcs-Git: https://salsa.debian.org/debian/ps2eps.git
+Vcs-Browser: https://salsa.debian.org/debian/ps2eps
 
 Package: ps2eps
 Architecture: any
@@ -21,5 +22,5 @@
  not calculate the bounding box always correctly (because the values are
  put on the PostScript stack which may get corrupted by bad PostScript
  code) or rounded it off so that clipping the EPS cut off some parts of
- the image. Therefore ps2eps uses a resolution of 144 dpi to get the
+ the image. Therefore ps2eps uses a resolution of 144 DPI to get the
  correct bounding box.

=== debian/watch ===
version=4
http://tm.uka.de/~bless/ps2eps \
  (?:.*/)?@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## ps2eps 1.70

=== doc/Makefile ===
# -----------------------------------*- mode: Makefile; -*--
# Makefile for ps2eps documentation
# ----------------------------------------------------------
# $Id: Makefile 139 2012-06-14 08:40:32Z bless $
# $Source: /home/bless/src/ps2eps/cvs-repository/ps2eps/doc/Makefile,v $
# ----------------------------------------------------------
# `$@' The file name of the target of the rule.
# `$%' The target member name, when the target is an archive member.
# `$<' The name of the first prerequisite.
# `$?' The names of all the prerequisites that are newer than the target, with spaces between them.
# `$^' The names of all the prerequisites, with spaces between them.

.PHONY: manpages pdf html

DOCBOOK_FLAGS=-c /usr/share/sgml/docbook/dtd/catalog

DOCBOOK_TO_MAN=docbook2man
DOCBOOK_TO_HTML=docbook2html
DOCBOOK_TO_PDF=docbook2pdf   #needs pdfjadetex

MANPAGES=ps2eps.1 bbox.1
PDF=ps2eps.pdf bbox.pdf
HTML=ps2eps.html bbox.html

all: manpages pdf html

manpages: $(MANPAGES)
pdf: $(PDF)
html: $(HTML)

%.pdf : %.1
	groff -m mandoc $< | ps2pdf - $@  # when having .1
#	$(DOCBOOK_TO_PDF) $(DOCBOOK_FLAGS) $<

%.html : %.sgml
#	groff -m mandoc -Thtml $< >$@ # when having .1
	$(DOCBOOK_TO_HTML) $(DOCBOOK_FLAGS) $<
	mv index.html $@

%.1 : %.sgml
	$(RM) $@
	$(DOCBOOK_TO_MAN) $(DOCBOOK_FLAGS) $<

clean:
	rm $(MANPAGES) $(PDF) $(HTML) manpage.refs manpage.links

# --------------------------------------------------------

=== src/C/Makefile ===
# ==================================================
# Makefile for bbox C program
# ==================================================

CFLAGS=-Wall --pedantic -Wunused 

bbox: bbox.c
	$(CC) $(CFLAGS) bbox.c -o bbox

=== debian/changelog ===
ps2eps (1.70-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:03:03 +0200

ps2eps (1.70-1) unstable; urgency=medium

  * New upstream version.
    + Update d/copyright.
    + Refreshed doc-manpages_xsltproc.patch.
    + Added doc-manpages_typos.patch.
    + Updated documentation source path (doc/ instead of src/doc/).
    + d/docs: renamed README to .md.
  * Bumped Standard-Versions to 4.6.2 (no changes needed).
  * Added d/upstream/metadata.
  * d/control: use HTTPS for Homepage.
  * d/watch: now watch GitHub.

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 06 Feb 2023 22:42:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: ps2eps
 Section: text
 Priority: optional
-Maintainer: Matteo Cypriani <mcy@lm7.fr>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matteo Cypriani <mcy@lm7.fr>
 Build-Depends: debhelper-compat (= 13), xsltproc, docbook-xsl
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://tm.uka.de/~bless/ps2eps
+Homepage: https://www.tm.uka.de/~bless/ps2eps
 Vcs-Git: https://salsa.debian.org/debian/ps2eps.git
 Vcs-Browser: https://salsa.debian.org/debian/ps2eps

=== debian/watch ===
version=4
https://github.com/roland-bless/ps2eps/tags \
	(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
